Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network209.152.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
209.152.0.0
Broadcast address
209.159.255.255
First usable
209.152.0.1
Last usable
209.159.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
C (default /24)
As numbers
Hex D1980000 · Integer 3516399616 to 3516923903
Reverse DNS zones
152.209.in-addr.arpa
153.209.in-addr.arpa
154.209.in-addr.arpa
155.209.in-addr.arpa
156.209.in-addr.arpa
157.209.in-addr.arpa
158.209.in-addr.arpa
159.209.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010001.10011000.00000000.00000000209.152.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11010001.10011000.00000000.00000000209.152.0.0
Broadcast11010001.10011111.11111111.11111111209.159.255.255
Split into smaller subnets/24

209.152.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1209.152.0.0/24209.152.0.1 to 209.152.0.254209.152.0.255254
2209.152.1.0/24209.152.1.1 to 209.152.1.254209.152.1.255254
3209.152.2.0/24209.152.2.1 to 209.152.2.254209.152.2.255254
4209.152.3.0/24209.152.3.1 to 209.152.3.254209.152.3.255254
5209.152.4.0/24209.152.4.1 to 209.152.4.254209.152.4.255254
6209.152.5.0/24209.152.5.1 to 209.152.5.254209.152.5.255254
7209.152.6.0/24209.152.6.1 to 209.152.6.254209.152.6.255254
8209.152.7.0/24209.152.7.1 to 209.152.7.254209.152.7.255254
9209.152.8.0/24209.152.8.1 to 209.152.8.254209.152.8.255254
10209.152.9.0/24209.152.9.1 to 209.152.9.254209.152.9.255254
11209.152.10.0/24209.152.10.1 to 209.152.10.254209.152.10.255254
12209.152.11.0/24209.152.11.1 to 209.152.11.254209.152.11.255254
13209.152.12.0/24209.152.12.1 to 209.152.12.254209.152.12.255254
14209.152.13.0/24209.152.13.1 to 209.152.13.254209.152.13.255254
15209.152.14.0/24209.152.14.1 to 209.152.14.254209.152.14.255254
16209.152.15.0/24209.152.15.1 to 209.152.15.254209.152.15.255254
17209.152.16.0/24209.152.16.1 to 209.152.16.254209.152.16.255254
18209.152.17.0/24209.152.17.1 to 209.152.17.254209.152.17.255254
19209.152.18.0/24209.152.18.1 to 209.152.18.254209.152.18.255254
20209.152.19.0/24209.152.19.1 to 209.152.19.254209.152.19.255254
21209.152.20.0/24209.152.20.1 to 209.152.20.254209.152.20.255254
22209.152.21.0/24209.152.21.1 to 209.152.21.254209.152.21.255254
23209.152.22.0/24209.152.22.1 to 209.152.22.254209.152.22.255254
24209.152.23.0/24209.152.23.1 to 209.152.23.254209.152.23.255254
25209.152.24.0/24209.152.24.1 to 209.152.24.254209.152.24.255254
26209.152.25.0/24209.152.25.1 to 209.152.25.254209.152.25.255254
27209.152.26.0/24209.152.26.1 to 209.152.26.254209.152.26.255254
28209.152.27.0/24209.152.27.1 to 209.152.27.254209.152.27.255254
29209.152.28.0/24209.152.28.1 to 209.152.28.254209.152.28.255254
30209.152.29.0/24209.152.29.1 to 209.152.29.254209.152.29.255254
31209.152.30.0/24209.152.30.1 to 209.152.30.254209.152.30.255254
32209.152.31.0/24209.152.31.1 to 209.152.31.254209.152.31.255254
33209.152.32.0/24209.152.32.1 to 209.152.32.254209.152.32.255254
34209.152.33.0/24209.152.33.1 to 209.152.33.254209.152.33.255254
35209.152.34.0/24209.152.34.1 to 209.152.34.254209.152.34.255254
36209.152.35.0/24209.152.35.1 to 209.152.35.254209.152.35.255254
37209.152.36.0/24209.152.36.1 to 209.152.36.254209.152.36.255254
38209.152.37.0/24209.152.37.1 to 209.152.37.254209.152.37.255254
39209.152.38.0/24209.152.38.1 to 209.152.38.254209.152.38.255254
40209.152.39.0/24209.152.39.1 to 209.152.39.254209.152.39.255254
41209.152.40.0/24209.152.40.1 to 209.152.40.254209.152.40.255254
42209.152.41.0/24209.152.41.1 to 209.152.41.254209.152.41.255254
43209.152.42.0/24209.152.42.1 to 209.152.42.254209.152.42.255254
44209.152.43.0/24209.152.43.1 to 209.152.43.254209.152.43.255254
45209.152.44.0/24209.152.44.1 to 209.152.44.254209.152.44.255254
46209.152.45.0/24209.152.45.1 to 209.152.45.254209.152.45.255254
47209.152.46.0/24209.152.46.1 to 209.152.46.254209.152.46.255254
48209.152.47.0/24209.152.47.1 to 209.152.47.254209.152.47.255254
49209.152.48.0/24209.152.48.1 to 209.152.48.254209.152.48.255254
50209.152.49.0/24209.152.49.1 to 209.152.49.254209.152.49.255254
51209.152.50.0/24209.152.50.1 to 209.152.50.254209.152.50.255254
52209.152.51.0/24209.152.51.1 to 209.152.51.254209.152.51.255254
53209.152.52.0/24209.152.52.1 to 209.152.52.254209.152.52.255254
54209.152.53.0/24209.152.53.1 to 209.152.53.254209.152.53.255254
55209.152.54.0/24209.152.54.1 to 209.152.54.254209.152.54.255254
56209.152.55.0/24209.152.55.1 to 209.152.55.254209.152.55.255254
57209.152.56.0/24209.152.56.1 to 209.152.56.254209.152.56.255254
58209.152.57.0/24209.152.57.1 to 209.152.57.254209.152.57.255254
59209.152.58.0/24209.152.58.1 to 209.152.58.254209.152.58.255254
60209.152.59.0/24209.152.59.1 to 209.152.59.254209.152.59.255254
61209.152.60.0/24209.152.60.1 to 209.152.60.254209.152.60.255254
62209.152.61.0/24209.152.61.1 to 209.152.61.254209.152.61.255254
63209.152.62.0/24209.152.62.1 to 209.152.62.254209.152.62.255254
64209.152.63.0/24209.152.63.1 to 209.152.63.254209.152.63.255254
65209.152.64.0/24209.152.64.1 to 209.152.64.254209.152.64.255254
66209.152.65.0/24209.152.65.1 to 209.152.65.254209.152.65.255254
67209.152.66.0/24209.152.66.1 to 209.152.66.254209.152.66.255254
68209.152.67.0/24209.152.67.1 to 209.152.67.254209.152.67.255254
69209.152.68.0/24209.152.68.1 to 209.152.68.254209.152.68.255254
70209.152.69.0/24209.152.69.1 to 209.152.69.254209.152.69.255254
71209.152.70.0/24209.152.70.1 to 209.152.70.254209.152.70.255254
72209.152.71.0/24209.152.71.1 to 209.152.71.254209.152.71.255254
73209.152.72.0/24209.152.72.1 to 209.152.72.254209.152.72.255254
74209.152.73.0/24209.152.73.1 to 209.152.73.254209.152.73.255254
75209.152.74.0/24209.152.74.1 to 209.152.74.254209.152.74.255254
76209.152.75.0/24209.152.75.1 to 209.152.75.254209.152.75.255254
77209.152.76.0/24209.152.76.1 to 209.152.76.254209.152.76.255254
78209.152.77.0/24209.152.77.1 to 209.152.77.254209.152.77.255254
79209.152.78.0/24209.152.78.1 to 209.152.78.254209.152.78.255254
80209.152.79.0/24209.152.79.1 to 209.152.79.254209.152.79.255254
81209.152.80.0/24209.152.80.1 to 209.152.80.254209.152.80.255254
82209.152.81.0/24209.152.81.1 to 209.152.81.254209.152.81.255254
83209.152.82.0/24209.152.82.1 to 209.152.82.254209.152.82.255254
84209.152.83.0/24209.152.83.1 to 209.152.83.254209.152.83.255254
85209.152.84.0/24209.152.84.1 to 209.152.84.254209.152.84.255254
86209.152.85.0/24209.152.85.1 to 209.152.85.254209.152.85.255254
87209.152.86.0/24209.152.86.1 to 209.152.86.254209.152.86.255254
88209.152.87.0/24209.152.87.1 to 209.152.87.254209.152.87.255254
89209.152.88.0/24209.152.88.1 to 209.152.88.254209.152.88.255254
90209.152.89.0/24209.152.89.1 to 209.152.89.254209.152.89.255254
91209.152.90.0/24209.152.90.1 to 209.152.90.254209.152.90.255254
92209.152.91.0/24209.152.91.1 to 209.152.91.254209.152.91.255254
93209.152.92.0/24209.152.92.1 to 209.152.92.254209.152.92.255254
94209.152.93.0/24209.152.93.1 to 209.152.93.254209.152.93.255254
95209.152.94.0/24209.152.94.1 to 209.152.94.254209.152.94.255254
96209.152.95.0/24209.152.95.1 to 209.152.95.254209.152.95.255254
97209.152.96.0/24209.152.96.1 to 209.152.96.254209.152.96.255254
98209.152.97.0/24209.152.97.1 to 209.152.97.254209.152.97.255254
99209.152.98.0/24209.152.98.1 to 209.152.98.254209.152.98.255254
100209.152.99.0/24209.152.99.1 to 209.152.99.254209.152.99.255254
101209.152.100.0/24209.152.100.1 to 209.152.100.254209.152.100.255254
102209.152.101.0/24209.152.101.1 to 209.152.101.254209.152.101.255254
103209.152.102.0/24209.152.102.1 to 209.152.102.254209.152.102.255254
104209.152.103.0/24209.152.103.1 to 209.152.103.254209.152.103.255254
105209.152.104.0/24209.152.104.1 to 209.152.104.254209.152.104.255254
106209.152.105.0/24209.152.105.1 to 209.152.105.254209.152.105.255254
107209.152.106.0/24209.152.106.1 to 209.152.106.254209.152.106.255254
108209.152.107.0/24209.152.107.1 to 209.152.107.254209.152.107.255254
109209.152.108.0/24209.152.108.1 to 209.152.108.254209.152.108.255254
110209.152.109.0/24209.152.109.1 to 209.152.109.254209.152.109.255254
111209.152.110.0/24209.152.110.1 to 209.152.110.254209.152.110.255254
112209.152.111.0/24209.152.111.1 to 209.152.111.254209.152.111.255254
113209.152.112.0/24209.152.112.1 to 209.152.112.254209.152.112.255254
114209.152.113.0/24209.152.113.1 to 209.152.113.254209.152.113.255254
115209.152.114.0/24209.152.114.1 to 209.152.114.254209.152.114.255254
116209.152.115.0/24209.152.115.1 to 209.152.115.254209.152.115.255254
117209.152.116.0/24209.152.116.1 to 209.152.116.254209.152.116.255254
118209.152.117.0/24209.152.117.1 to 209.152.117.254209.152.117.255254
119209.152.118.0/24209.152.118.1 to 209.152.118.254209.152.118.255254
120209.152.119.0/24209.152.119.1 to 209.152.119.254209.152.119.255254
121209.152.120.0/24209.152.120.1 to 209.152.120.254209.152.120.255254
122209.152.121.0/24209.152.121.1 to 209.152.121.254209.152.121.255254
123209.152.122.0/24209.152.122.1 to 209.152.122.254209.152.122.255254
124209.152.123.0/24209.152.123.1 to 209.152.123.254209.152.123.255254
125209.152.124.0/24209.152.124.1 to 209.152.124.254209.152.124.255254
126209.152.125.0/24209.152.125.1 to 209.152.125.254209.152.125.255254
127209.152.126.0/24209.152.126.1 to 209.152.126.254209.152.126.255254
128209.152.127.0/24209.152.127.1 to 209.152.127.254209.152.127.255254
129209.152.128.0/24209.152.128.1 to 209.152.128.254209.152.128.255254
130209.152.129.0/24209.152.129.1 to 209.152.129.254209.152.129.255254
131209.152.130.0/24209.152.130.1 to 209.152.130.254209.152.130.255254
132209.152.131.0/24209.152.131.1 to 209.152.131.254209.152.131.255254
133209.152.132.0/24209.152.132.1 to 209.152.132.254209.152.132.255254
134209.152.133.0/24209.152.133.1 to 209.152.133.254209.152.133.255254
135209.152.134.0/24209.152.134.1 to 209.152.134.254209.152.134.255254
136209.152.135.0/24209.152.135.1 to 209.152.135.254209.152.135.255254
137209.152.136.0/24209.152.136.1 to 209.152.136.254209.152.136.255254
138209.152.137.0/24209.152.137.1 to 209.152.137.254209.152.137.255254
139209.152.138.0/24209.152.138.1 to 209.152.138.254209.152.138.255254
140209.152.139.0/24209.152.139.1 to 209.152.139.254209.152.139.255254
141209.152.140.0/24209.152.140.1 to 209.152.140.254209.152.140.255254
142209.152.141.0/24209.152.141.1 to 209.152.141.254209.152.141.255254
143209.152.142.0/24209.152.142.1 to 209.152.142.254209.152.142.255254
144209.152.143.0/24209.152.143.1 to 209.152.143.254209.152.143.255254
145209.152.144.0/24209.152.144.1 to 209.152.144.254209.152.144.255254
146209.152.145.0/24209.152.145.1 to 209.152.145.254209.152.145.255254
147209.152.146.0/24209.152.146.1 to 209.152.146.254209.152.146.255254
148209.152.147.0/24209.152.147.1 to 209.152.147.254209.152.147.255254
149209.152.148.0/24209.152.148.1 to 209.152.148.254209.152.148.255254
150209.152.149.0/24209.152.149.1 to 209.152.149.254209.152.149.255254
151209.152.150.0/24209.152.150.1 to 209.152.150.254209.152.150.255254
152209.152.151.0/24209.152.151.1 to 209.152.151.254209.152.151.255254
153209.152.152.0/24209.152.152.1 to 209.152.152.254209.152.152.255254
154209.152.153.0/24209.152.153.1 to 209.152.153.254209.152.153.255254
155209.152.154.0/24209.152.154.1 to 209.152.154.254209.152.154.255254
156209.152.155.0/24209.152.155.1 to 209.152.155.254209.152.155.255254
157209.152.156.0/24209.152.156.1 to 209.152.156.254209.152.156.255254
158209.152.157.0/24209.152.157.1 to 209.152.157.254209.152.157.255254
159209.152.158.0/24209.152.158.1 to 209.152.158.254209.152.158.255254
160209.152.159.0/24209.152.159.1 to 209.152.159.254209.152.159.255254
161209.152.160.0/24209.152.160.1 to 209.152.160.254209.152.160.255254
162209.152.161.0/24209.152.161.1 to 209.152.161.254209.152.161.255254
163209.152.162.0/24209.152.162.1 to 209.152.162.254209.152.162.255254
164209.152.163.0/24209.152.163.1 to 209.152.163.254209.152.163.255254
165209.152.164.0/24209.152.164.1 to 209.152.164.254209.152.164.255254
166209.152.165.0/24209.152.165.1 to 209.152.165.254209.152.165.255254
167209.152.166.0/24209.152.166.1 to 209.152.166.254209.152.166.255254
168209.152.167.0/24209.152.167.1 to 209.152.167.254209.152.167.255254
169209.152.168.0/24209.152.168.1 to 209.152.168.254209.152.168.255254
170209.152.169.0/24209.152.169.1 to 209.152.169.254209.152.169.255254
171209.152.170.0/24209.152.170.1 to 209.152.170.254209.152.170.255254
172209.152.171.0/24209.152.171.1 to 209.152.171.254209.152.171.255254
173209.152.172.0/24209.152.172.1 to 209.152.172.254209.152.172.255254
174209.152.173.0/24209.152.173.1 to 209.152.173.254209.152.173.255254
175209.152.174.0/24209.152.174.1 to 209.152.174.254209.152.174.255254
176209.152.175.0/24209.152.175.1 to 209.152.175.254209.152.175.255254
177209.152.176.0/24209.152.176.1 to 209.152.176.254209.152.176.255254
178209.152.177.0/24209.152.177.1 to 209.152.177.254209.152.177.255254
179209.152.178.0/24209.152.178.1 to 209.152.178.254209.152.178.255254
180209.152.179.0/24209.152.179.1 to 209.152.179.254209.152.179.255254
181209.152.180.0/24209.152.180.1 to 209.152.180.254209.152.180.255254
182209.152.181.0/24209.152.181.1 to 209.152.181.254209.152.181.255254
183209.152.182.0/24209.152.182.1 to 209.152.182.254209.152.182.255254
184209.152.183.0/24209.152.183.1 to 209.152.183.254209.152.183.255254
185209.152.184.0/24209.152.184.1 to 209.152.184.254209.152.184.255254
186209.152.185.0/24209.152.185.1 to 209.152.185.254209.152.185.255254
187209.152.186.0/24209.152.186.1 to 209.152.186.254209.152.186.255254
188209.152.187.0/24209.152.187.1 to 209.152.187.254209.152.187.255254
189209.152.188.0/24209.152.188.1 to 209.152.188.254209.152.188.255254
190209.152.189.0/24209.152.189.1 to 209.152.189.254209.152.189.255254
191209.152.190.0/24209.152.190.1 to 209.152.190.254209.152.190.255254
192209.152.191.0/24209.152.191.1 to 209.152.191.254209.152.191.255254
193209.152.192.0/24209.152.192.1 to 209.152.192.254209.152.192.255254
194209.152.193.0/24209.152.193.1 to 209.152.193.254209.152.193.255254
195209.152.194.0/24209.152.194.1 to 209.152.194.254209.152.194.255254
196209.152.195.0/24209.152.195.1 to 209.152.195.254209.152.195.255254
197209.152.196.0/24209.152.196.1 to 209.152.196.254209.152.196.255254
198209.152.197.0/24209.152.197.1 to 209.152.197.254209.152.197.255254
199209.152.198.0/24209.152.198.1 to 209.152.198.254209.152.198.255254
200209.152.199.0/24209.152.199.1 to 209.152.199.254209.152.199.255254
201209.152.200.0/24209.152.200.1 to 209.152.200.254209.152.200.255254
202209.152.201.0/24209.152.201.1 to 209.152.201.254209.152.201.255254
203209.152.202.0/24209.152.202.1 to 209.152.202.254209.152.202.255254
204209.152.203.0/24209.152.203.1 to 209.152.203.254209.152.203.255254
205209.152.204.0/24209.152.204.1 to 209.152.204.254209.152.204.255254
206209.152.205.0/24209.152.205.1 to 209.152.205.254209.152.205.255254
207209.152.206.0/24209.152.206.1 to 209.152.206.254209.152.206.255254
208209.152.207.0/24209.152.207.1 to 209.152.207.254209.152.207.255254
209209.152.208.0/24209.152.208.1 to 209.152.208.254209.152.208.255254
210209.152.209.0/24209.152.209.1 to 209.152.209.254209.152.209.255254
211209.152.210.0/24209.152.210.1 to 209.152.210.254209.152.210.255254
212209.152.211.0/24209.152.211.1 to 209.152.211.254209.152.211.255254
213209.152.212.0/24209.152.212.1 to 209.152.212.254209.152.212.255254
214209.152.213.0/24209.152.213.1 to 209.152.213.254209.152.213.255254
215209.152.214.0/24209.152.214.1 to 209.152.214.254209.152.214.255254
216209.152.215.0/24209.152.215.1 to 209.152.215.254209.152.215.255254
217209.152.216.0/24209.152.216.1 to 209.152.216.254209.152.216.255254
218209.152.217.0/24209.152.217.1 to 209.152.217.254209.152.217.255254
219209.152.218.0/24209.152.218.1 to 209.152.218.254209.152.218.255254
220209.152.219.0/24209.152.219.1 to 209.152.219.254209.152.219.255254
221209.152.220.0/24209.152.220.1 to 209.152.220.254209.152.220.255254
222209.152.221.0/24209.152.221.1 to 209.152.221.254209.152.221.255254
223209.152.222.0/24209.152.222.1 to 209.152.222.254209.152.222.255254
224209.152.223.0/24209.152.223.1 to 209.152.223.254209.152.223.255254
225209.152.224.0/24209.152.224.1 to 209.152.224.254209.152.224.255254
226209.152.225.0/24209.152.225.1 to 209.152.225.254209.152.225.255254
227209.152.226.0/24209.152.226.1 to 209.152.226.254209.152.226.255254
228209.152.227.0/24209.152.227.1 to 209.152.227.254209.152.227.255254
229209.152.228.0/24209.152.228.1 to 209.152.228.254209.152.228.255254
230209.152.229.0/24209.152.229.1 to 209.152.229.254209.152.229.255254
231209.152.230.0/24209.152.230.1 to 209.152.230.254209.152.230.255254
232209.152.231.0/24209.152.231.1 to 209.152.231.254209.152.231.255254
233209.152.232.0/24209.152.232.1 to 209.152.232.254209.152.232.255254
234209.152.233.0/24209.152.233.1 to 209.152.233.254209.152.233.255254
235209.152.234.0/24209.152.234.1 to 209.152.234.254209.152.234.255254
236209.152.235.0/24209.152.235.1 to 209.152.235.254209.152.235.255254
237209.152.236.0/24209.152.236.1 to 209.152.236.254209.152.236.255254
238209.152.237.0/24209.152.237.1 to 209.152.237.254209.152.237.255254
239209.152.238.0/24209.152.238.1 to 209.152.238.254209.152.238.255254
240209.152.239.0/24209.152.239.1 to 209.152.239.254209.152.239.255254
241209.152.240.0/24209.152.240.1 to 209.152.240.254209.152.240.255254
242209.152.241.0/24209.152.241.1 to 209.152.241.254209.152.241.255254
243209.152.242.0/24209.152.242.1 to 209.152.242.254209.152.242.255254
244209.152.243.0/24209.152.243.1 to 209.152.243.254209.152.243.255254
245209.152.244.0/24209.152.244.1 to 209.152.244.254209.152.244.255254
246209.152.245.0/24209.152.245.1 to 209.152.245.254209.152.245.255254
247209.152.246.0/24209.152.246.1 to 209.152.246.254209.152.246.255254
248209.152.247.0/24209.152.247.1 to 209.152.247.254209.152.247.255254
249209.152.248.0/24209.152.248.1 to 209.152.248.254209.152.248.255254
250209.152.249.0/24209.152.249.1 to 209.152.249.254209.152.249.255254
251209.152.250.0/24209.152.250.1 to 209.152.250.254209.152.250.255254
252209.152.251.0/24209.152.251.1 to 209.152.251.254209.152.251.255254
253209.152.252.0/24209.152.252.1 to 209.152.252.254209.152.252.255254
254209.152.253.0/24209.152.253.1 to 209.152.253.254209.152.253.255254
255209.152.254.0/24209.152.254.1 to 209.152.254.254209.152.254.255254
256209.152.255.0/24209.152.255.1 to 209.152.255.254209.152.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses